org.eclipse.lyo.oslc4j.core.resources

## Class ServiceProviderCatalogResource

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.resources.ServiceProviderCatalogResource

-     @OslcService(value="http://open-services.net/ns/core#")
      public class ServiceProviderCatalogResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProviderCatalogResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Compact` | `getCompact()`
    `ServiceProviderCatalog` | `getServiceProviderCatalog()`
    `ServiceProviderCatalog[]` | `getServiceProviderCatalogs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceProviderCatalogResource

          public ServiceProviderCatalogResource()

  - ### Method Detail

    - #### getServiceProviderCatalogs

          @OslcDialog(title="Service Provider Catalog Selection Dialog",
                      label="Service Provider Catalog Selection Dialog",
                      uri="",
                      hintWidth="1000px",
                      hintHeight="600px",
                      resourceTypes="http://open-services.net/ns/core#ServiceProviderCatalog",
                      usages="http://open-services.net/ns/core#default")
          @OslcQueryCapability(title="Service Provider Catalog Query Capability",
                               label="Service Provider Catalog Query",
                               resourceShape="resourceShapes/serviceProviderCatalog",
                               resourceTypes="http://open-services.net/ns/core#ServiceProviderCatalog",
                               usages="http://open-services.net/ns/core#default")
          public ServiceProviderCatalog[] getServiceProviderCatalogs()

    - #### getServiceProviderCatalog

          public ServiceProviderCatalog getServiceProviderCatalog()

    - #### getCompact

          public Compact getCompact()

Copyright © 2016. All rights reserved.